
CoCoALib - Feature #62

polynomial coefficient extraction w.r.t. single variable -- dense output

13 Dec 2011 15:31 - John Abbott

Status: Closed Start date: 13 Dec 2011

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: New Function Estimated time: 0.00 hour

Target version: CoCoALib-0.99534 Seoul14 Spent time: 0.25 hour

Description

Given a polynomial f and an indet x, produce a vector of the coeffs of f when viewed as a poly in x.  The resulting vector v must

satisfy f = \sum_i v[i]*x^i and each entry v[i] is of degree 0 in x.

The zero polynomial will produce an empty vector.

If f is multivariate the vector entries must be in RingOf(f).

If f is univariate the vector entries could be in CoeffRing(RingOf(f)) -- but this would be incompatible with the multivariate version. 

Perhaps the fns should have different names?

Related issues:

Related to CoCoALib - Feature #51: polynomial coefficient extraction w.r.t. v... Closed

Related to CoCoALib - Feature #278: add CoeffVecWRT to cocoalib Closed 28 Nov 2012

History

#1 - 26 Apr 2012 16:21 - Anna Maria Bigatti

- Parent task deleted (#51)

#2 - 01 Aug 2014 08:59 - Anna Maria Bigatti

- Target version set to CoCoALib-1.0

#3 - 01 Aug 2014 16:25 - John Abbott

- Category set to New Function

- Status changed from New to Closed

- Assignee set to John Abbott

- Target version changed from CoCoALib-1.0 to CoCoALib-0.99534 Seoul14

- % Done changed from 0 to 100

This has already been done: it is the function CoeffVecWRT.

Closing.
